# TODO:
#	- separate netx.jar? I guess it contains the JNLP implementation

# Conditional build:
%bcond_with	javadoc		# don't build javadoc
%bcond_with	tests		# build with tests (interactive?)
%bcond_with	native_plugin	# Native Firefox Plugin

Summary:	Web browser Java plugin and an implementation of Java Web Start
Summary(pl.UTF-8):	Wtyczka Java dla przeglądarek WWW i implementacja Java Web Start
Name:		icedtea-web
Version:	1.7.1
Release:	1
License:	GPL v2
Group:		Applications
Source0:	http://icedtea.wildebeest.org/download/source/%{name}-%{version}.tar.gz
# Source0-md5:	f55d3b47c657a3603b05c637ca8a4572
URL:		http://icedtea.classpath.org/wiki/IcedTea-Web
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel
%{?with_native_plugin:BuildRequires:	iceweasel-devel}
%{?with_tests:BuildRequires:	java-junit}
BuildRequires:	java-rhino
BuildRequires:	jpackage-utils
BuildRequires:	libxslt-progs
BuildRequires:	rpm-javaprov
BuildRequires:	zlib-devel
%{?buildrequires_jdk}
Obsoletes:	icedtea6-jre-base-mozilla-plugin
%{!?with_native_plugin:Obsoletes:	browser-plugin-java-icedtea-web < %{version}-%{release}}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The IcedTea-Web project provides a Free Software web browser plugin
running applets written in the Java programming language and an
implementation of Java Web Start, originally based on the NetX
project.

%package -n browser-plugin-java-%{name}
Summary:	IceTea Java plugin for WWW browsers
Summary(pl.UTF-8):	Wtyczka Javy do przeglądarek WWW
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins(%{_target_base_arch})
Obsoletes:	browser-plugin-java-icedtea6

%description -n browser-plugin-java-%{name}
Java plugin for WWW browsers.

%description -n browser-plugin-java-%{name} -l pl.UTF-8
Wtyczka z obsługą Javy dla przeglądarek WWW.

%package javadoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
Group:		Documentation
Requires:	jpackage-utils
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description javadoc
Documentation for %{name}.

%description javadoc -l pl.UTF-8
Dokumentacja do %{name}.

%description javadoc -l fr.UTF-8
Javadoc pour %{name}.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
	--with-java=%{_bindir}/java \
	--with-jdk-home="%{java_home}" \
	%{__enable_disable native-plugin} \
	--docdir="%{_javadocdir}/%{name}-%{version}" \
	%{!?with_javadoc:--disable-docs}

%{__make}

%{?with_tests:%{__make} -j1 plugin-tests run-netx-unit-tests run-netx-dist-tests}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with native_plugin}
install -d $RPM_BUILD_ROOT%{_browserpluginsdir}
ln -s %{_libdir}/IcedTeaPlugin.so $RPM_BUILD_ROOT%{_browserpluginsdir}/libjavaplugin.so
%endif

%if %{with javadoc}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%post -n browser-plugin-java-%{name}
%update_browser_plugins

%postun -n browser-plugin-java-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/javaws
%attr(755,root,root) %{_bindir}/itweb-settings
%attr(755,root,root) %{_bindir}/policyeditor
%{?with_native_plugin:%attr(755,root,root) %{_libdir}/IcedTeaPlugin.so}
%{_datadir}/%{name}
%{_pixmapsdir}/javaws.png
%{_mandir}/man1/*.1*
%lang(cs) %{_mandir}/cs/man1/*.1*
%lang(de) %{_mandir}/de/man1/*.1*
%lang(pl) %{_mandir}/pl/man1/*.1*

%if %{with native_plugin}
%files -n browser-plugin-java-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/libjavaplugin.so
%endif

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif
%changelog
* Thu Oct 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/icedtea-web.git;a=log;h=master

* Thu Oct 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5276355
- up to 1.7.1

* Tue Nov 07 2017 Jan Rękorajski <baggins@pld-linux.org> 7c90326
- obsolete browser plugin if it's not built
- rel 2

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e130bf
- up to 1.7; native browser plugin no longer exists; only javaws usable

* Thu Feb 04 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 28a602e
- Revert "BR xulrunner-devel (instead of iceweasel-devel)"

* Thu Feb 04 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> a0149e1
- BR xulrunner-devel (instead of iceweasel-devel)

* Thu Feb 04 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e84bd18
- rel 2; works with openjdk, too

* Thu Feb 04 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7744b0f
- up to 1.6.2

* Tue Oct 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2584f22
- rel 2; use generic java path

* Wed Sep 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> f5e47fe
- Disable javadoc

* Wed Sep 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> bf070a0
- Version: 1.6.1

* Wed Sep 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 61f84c3
- do not require specific JRE implementation

* Wed Sep 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 21c67ec
- fix 'javadoc' bcond

* Thu Jun 25 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a71a9a9
- up to 1.6

* Tue Dec 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b99cb00
- up to 1.5.2

* Mon Aug 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 85f6593
- up to 1.5.1

* Thu May 22 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 724e68b
- up to 1.5

* Sun Mar 30 2014 Elan Ruusamäe <glen@delfi.ee> 49f0992
- move BR to main package; noarch javadoc

* Thu Feb 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> bb11e5b
- up to 1.4.2

* Tue Jan 21 2014 Jan Rękorajski <baggins@pld-linux.org> 2ad298b
- parallel instal doesn't work
- rel 2

* Tue Jan 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 022f92f
- up to 1.4.1

